CertSecure Documentation
  • Overview
    • About CertSecure Manager
    • Documentation Guide
  • Reference Guide
    • Header Bar
      • CertSecure Documentation
      • Swagger API
      • Profile Section
      • Search
    • Dashboard
      • Key Performance Indicators
      • Expiring Certificates
      • CA metrics
      • Key Strength
      • Signing Algorithm
      • Certificate Risk Report Profile
      • PKI Posture Management
      • NDES Health Information
    • AI Assistant
      • Chat
      • Configuration
      • Usage Report
    • Inventory
      • Overview
        • Overall
        • CertSecure
      • Template Management
        • Switch Templates
        • Exclusion List
        • Alert Templates
        • Certificate Templates
      • Template Categories
    • Discovery
      • Inventory
      • Scan Config
      • Cloud Config
      • Vault Config
      • Discovery Analytics
      • Scan Details
      • Discovery Ingestion
    • Reports
    • Utilities
      • ACME
      • Tasks
      • Integrations
        • Renewal Manager
        • Load Balancers
        • Discovery Agents
        • CLI Tool
        • Key Management
        • SEIM Tools
        • DevOps Tools
        • Ansible Automation Platform
      • NDES
      • Azure Key Vault
      • API Tokens
    • Enrollment
      • Certificate Request
      • Generate CSR
      • Enroll CSR
      • Generate Certificate
      • Import Certificate
      • Bulk Certificate Generation
      • Manage Policies
      • Organization Details
    • Administration
      • Users
      • Roles and permission
      • Certificate Authorities
      • Departments
    • Miscellaneous
      • Logging
      • Service Setup
        • Zoom
        • Zendesk
      • Settings
        • Configure Realms
        • Schedule Alerts
        • Metrics
        • Web Branding
        • About License
  • Setup & Architecture
    • Identity and Access Control
    • Architecture
    • Installation
      • Pre-requisites
      • Windows
      • Linux
      • Docker
    • Upgrade
      • Windows
      • Docker
  • Release Notes
    • Releases for 2026
      • v3.4.0
      • v3.3.1
      • v3.3.0
    • Releases for 2025
      • v3.2.0
      • v3.1.0
    • Releases for 2024
      • v3.0.0
  • Workflow
    • Approval Workflow
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Health
      • API Token Management
      • CA Management
      • Templates
      • Certificate Enrollment
      • Inventory
      • Certificate Discovery
      • Tasks
      • Watcher Groups
      • Alerts
      • Reports
      • Logs
      • Monitoring
      • Scheduling
      • SMTP
      • ACME
      • Azure Key Vault
      • Google Cloud (GCP)
      • HashiCorp Vault
      • EJBCA
      • ServiceNow
  • Integration Guide
    • Renewal Manager
      • Workflow
      • Setup
      • Troubleshooting
      • IIS
      • Apache
      • Tomcat
      • Nginx
      • MSSQL
      • MongoDB
      • Oracle
      • Cloudflare
      • AudioCodes
      • Cisco ISE
      • Palo Alto PAN-OS
      • Cisco ACI
    • Load Balancer
      • F5
        • Workflow
        • Setup
        • Onboarding
        • UI Guide
        • Troubleshooting
      • NetScaler
        • Workflow
        • Setup
        • UI Guide
        • Troubleshooting
    • Certificate Authorities
      • ACME CAs
      • AWS
      • DigiCert Connector
      • EJBCA
      • GlobalSign
      • GoDaddy
      • HashiCorp Vault PKI
      • Microsoft AD CS
      • Sectigo
      • Sectigo-PS
    • Ansible Automation Platform
    • Azure Key Vault
  • Discovery Agent Setup Guide

ServiceNow

The ServiceNow endpoints configure the ServiceNow instance used by CertSecure Manager, manage the ServiceNow users and groups that are linked to CertSecure Manager users, and transfer group ownership.

For the corresponding user interface, refer to the Miscellaneous > Service Setup section.

Endpoints

Method Endpoint Description
POST /add-member-to-group Add member to ServiceNow group.
GET /create-serviceNow-group List ServiceNow groups.
POST /create-serviceNow-group Create ServiceNow group.
GET /service-now-instance-cofig Get ServiceNow instance config.
POST /service-now-instance-cofig Save ServiceNow instance config.
DELETE /service-now-instance-cofig Delete ServiceNow instance config.
GET /service-now-user-details Get ServiceNow user details.
POST /service-now-user-details Save ServiceNow user details.
POST /transfer-group-ownership Transfer ServiceNow group ownership.
GET /update_servicenow_username Update ServiceNow username.
POST /verify-serviceNow-user Verify ServiceNow user.
POST /add-member-to-group

Adds a member to a ServiceNow group.

Request Body (application/json)

Field Type Required Description
full_name string No -

Example Request

curl -X POST "https://<certsecure-backend-url>/add-member-to-group" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"full_name": "string"}'

Responses

Status Code Description
200 The resource was added.
GET /create-serviceNow-group

Lists the ServiceNow groups created from CertSecure Manager.

Example Request

curl -X GET "https://<certsecure-backend-url>/create-serviceNow-group" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Groups.
POST /create-serviceNow-group

Creates a ServiceNow group.

Request Body (application/json)

The request body is a JSON object that contains the settings to save.

Example Request

curl -X POST "https://<certsecure-backend-url>/create-serviceNow-group" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

Status Code Description
200 The resource was created.
GET /service-now-instance-cofig

Returns the ServiceNow instance configuration.

Example Request

curl -X GET "https://<certsecure-backend-url>/service-now-instance-cofig" \
  -H "Authorization: Bearer <token>"

Example Response

{
    "Name": "ServiceNow Configuration",
    "instance": "",
    "username": "",
    "password": ""
}

Responses

Status Code Description
200 The configuration is returned.
POST /service-now-instance-cofig

Saves the ServiceNow instance URL and credentials.

Request Body (application/json)

The request body is a JSON object that contains the settings to save.

Example Request

curl -X POST "https://<certsecure-backend-url>/service-now-instance-cofig" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

Status Code Description
200 The settings were saved.
DELETE /service-now-instance-cofig

Deletes the ServiceNow instance configuration.

Example Request

curl -X DELETE "https://<certsecure-backend-url>/service-now-instance-cofig" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 The resource was deleted.
GET /service-now-user-details

Returns the ServiceNow user linked to the caller.

Example Request

curl -X GET "https://<certsecure-backend-url>/service-now-user-details" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Details.
POST /service-now-user-details

Saves the ServiceNow user linked to the caller.

Request Body (application/json)

The request body is a JSON object that contains the settings to save.

Example Request

curl -X POST "https://<certsecure-backend-url>/service-now-user-details" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

Status Code Description
200 The settings were saved.
POST /transfer-group-ownership

Transfers the ownership of a ServiceNow group.

Request Body (application/json)

The request body is a JSON object that contains the settings to save.

Example Request

curl -X POST "https://<certsecure-backend-url>/transfer-group-ownership" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

Status Code Description
200 Transferred.
GET /update_servicenow_username

Links a ServiceNow username to a CertSecure Manager user.

Request Parameters

Name Located In Type Required Description
email Query string Yes Email address of the certificate owner.
serviceNowUsername Query string Yes -

Example Request

curl -X GET "https://<certsecure-backend-url>/update_servicenow_username?email=<email>&serviceNowUsername=<serviceNowUsername>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 The resource was updated.
POST /verify-serviceNow-user

Verifies that a ServiceNow user exists.

Request Body (application/json)

The request body is a JSON object that contains the settings to save.

Example Request

curl -X POST "https://<certsecure-backend-url>/verify-serviceNow-user" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

Status Code Description
200 Verified.
404 The resource was not found.
On this Page:
Support Privacy Policy Terms of Service

Copyright 2026 Encryption Consulting LLC. All rights reserved.